Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.util
Class MSFileInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--org.w3c.util.MSFileInputStream

public class MSFileInputStream
extends java.io.FilterInputStream

Field Summary
`protected int` | `count`
`protected int` | `markpos`
`protected int` | `readlimit`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`MSFileInputStream(java.io.File file)` Creates an input file stream to read from the specified file descriptor.
`MSFileInputStream(java.lang.String name)` Creates an input file stream to read from a file with the specified name.

Method Summary
`void` | `mark(int readlimit)` Marks the current position in this input stream.
`boolean` | `markSupported()` Tests if this input stream supports the `mark` and `reset` methods.
`int` | `read()` Reads the next byte of data from this input stream.
`int` | `read(byte[] b)` Reads up to `byte.length` bytes of data from this input stream into an array of bytes.
`int` | `read(byte[] b, int off, int len)` Reads up to `len` bytes of data from this input stream into an array of bytes.
`void` | `reset()` Repositions this stream to the position at the time the `mark` method was last called on this input stream.

Methods inherited from class java.io.FilterInputStream
`available, close, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### readlimit

    protected int readlimit

### count

    protected int count

### markpos

    protected int markpos

Constructor Detail

### MSFileInputStream

    public MSFileInputStream(java.io.File file)
                      throws java.io.FileNotFoundException

  Creates an input file stream to read from the specified file descriptor.

Throws:
  `java.lang.SecurityException` - if a security manager exists, its `checkRead` method is called with the file descriptor to see if the application is allowed to read from the specified file descriptor.
  `java.io.FileNotFoundException`
Since:
  JDK1.0
See Also:
  `SecurityManager.checkRead(java.io.FileDescriptor)`

### MSFileInputStream

    public MSFileInputStream(java.lang.String name)
                      throws java.io.FileNotFoundException

  Creates an input file stream to read from a file with the specified name.

Parameters:
  `name` - the system-dependent file name.
Throws:
  `java.io.FileNotFoundException` - if the file is not found.
  `java.lang.SecurityException` - if a security manager exists, its `checkRead` method is called with the name argument to see if the application is allowed read access to the file.
Since:
  JDK1.0
See Also:
  `SecurityManager.checkRead(java.lang.String)`

Method Detail

### markSupported

    public boolean markSupported()

  Tests if this input stream supports the `mark` and `reset` methods. The `markSupported` method of `FilterInputStream` calls the `markSupported` method of its underlying input stream and returns whatever value that method returns.

  Overrides:
    `markSupported` in class `java.io.FilterInputStream`
  Returns:
    always true.
  Since:
    JDK1.0

### mark

    public void mark(int readlimit)

  Marks the current position in this input stream. A subsequent call to the `reset` method repositions this stream at the last marked position so that subsequent reads re-read the same bytes.

  The `readlimit` arguments tells this input stream to allow that many bytes to be read before the mark position gets invalidated.

  Overrides:
    `mark` in class `java.io.FilterInputStream`
  Parameters:
    `readlimit` - the maximum limit of bytes that can be read before the mark position becomes invalid.
  Since:
    JDK1.0
See Also:
  `InputStream.reset()`

### reset

    public void reset()
               throws java.io.IOException

  Repositions this stream to the position at the time the `mark` method was last called on this input stream.

  Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parser, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails, which, if it happens within readlimit bytes, allows the outer code to reset the stream and try another parser.

  Overrides:
    `reset` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException` - if this stream has not been marked or if the mark has been invalidated.
  Since:
    JDK1.0
See Also:
  `InputStream.mark(int)`, `IOException`

### read

    public int read()
             throws java.io.IOException

  Reads the next byte of data from this input stream. The value byte is returned as an `int` in the range `0` to `255`. If no byte is available because the end of the stream has been reached, the value `-1` is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Returns:
    the next byte of data, or `-1` if the end of the stream is reached.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  Since:
    JDK1.0
See Also:
  `FilterInputStream.in`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Reads up to `byte.length` bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Parameters:
    `b` - the buffer into which the data is read.
  Returns:
    the total number of bytes read into the buffer, or `-1` if there is no more data because the end of the stream has been reached.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  Since:
    JDK1.0
See Also:
  `FilterInputStream.read(byte[], int, int)`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Reads up to `len` bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Parameters:
    `b` - the buffer into which the data is read.
    `off` - the start offset of the data.
    `len` - the maximum number of bytes read.
  Returns:
    the total number of bytes read into the buffer, or `-1` if there is no more data because the end of the stream has been reached.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  Since:
    JDK1.0
See Also:
  `FilterInputStream.in`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD